Crash with windows 7 and gtx 670
Closed, ArchivedPublic


I have gotten a new computer with i7 cpu and nvidia gtx 670. Driver of nvdidia is 301.42


If i want to enable cycles by selecting cycles render then blender crashes immediately.
If i want to select 'system' in 'preferences' then blender crashes as well.

Problems occurs with standard blender file.

Afterwards i installed cuda toolkit but it didn't help.

What could be wrong here?



Stephan Biniek (goatrance) set Type to To Do.Via Old WorldJun 5 2012, 12:36 AM
Stephan Biniek (goatrance) added a comment.Via Old WorldJun 5 2012, 1:38 PM

Hi, is there a solution?

Thomas Dinges (dingto) added a comment.Via Old WorldJun 7 2012, 5:14 PM

as already discussed in BlendPolis Forum, there is not much we can do. (For reference:
-Use a new build from
-Check your card uses the nVidia card.

We either need a backtrace here or someone else who can confirm the issue
Also keep in mind that Blender 2.63a officially does not support GTX 6xx cards, that's a Work in Progress for the 2.64 release.

Harrison Nordby (harven) added a comment.Via Old WorldJun 9 2012, 8:05 PM


Exact same issues and drivers.

blender official 2.63a as well as r47640

Windows 7 64bit
i7 3770K
nvidia gtx 670

Thomas Dinges (dingto) added a comment.Via Old WorldJun 17 2012, 4:17 PM

Well we can't handle these effectively, none of the Cycles developers have a 6xx card to check. Marking as ToDo

Thomas Dinges (dingto) closed this task as "Archived".Via Old WorldJun 17 2012, 4:17 PM
Stephan Biniek (goatrance) added a comment.Via Old WorldJul 17 2012, 11:48 PM

Perhaps we can run tests for you. What are the real differences to 6xx cards?

Ross McCafferty (rossco7) added a comment.Via Old WorldJul 31 2012, 12:12 PM

Same problems here with GTX 670 on Win7 64bit. Tried all the builds including 2.64. Happens with and without CUDA Toolkit 4.2 installed and same goes for latest Nvidia drivers 301.42, including the beta version 304.79. Crashes Blender every couple of minutes when preview rendering, not possible to do an F12 render as it will 100% crash before finishing, sometimes before the render starts.

Stephan Biniek (goatrance) added a comment.Via Old WorldSep 12 2012, 11:20 AM


for me i found the solution of the problem. I bought an aldi/hofer pc and of course it has a standard installation. This installation seams to have pathes as follows:

C:\Program Files (x86)\Intel\OpenCL SDK\2.0\bin\x86;C:\Program Files (x86)\Intel\OpenCL SDK\2.0\bin\x64;

If you delete this path entries then cycles will start and the preferences/system as well. Blender seams to load wrong dll's with same name or other versions of dll's. I don't know which programs of windows 7 x64 use this path. Perhaps somebody can tell this here, would be nice.

I hope all people which have had this problem with gtx 670 card will now be able to work. Therefore it is no problem of graphic cards, it is a problem of standard configuration of aldi or hofer pc's;-)

Hopefully this thread can be set to solved.



Joe Williams (thehumanidiot) added a comment.Via Old WorldSep 13 2012, 3:03 PM

I had the same need to update the intel graphics driver...that solved it for me

Add Comment